package com.sunyard.chsm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sunyard.chsm.dto.AppQuery;
import com.sunyard.chsm.dto.AppSave;
import com.sunyard.chsm.dto.AppView;

/**
 * @author liulu
 * @since 2024/10/30
 */
public interface ApplicationService {

    Page<AppView> selectPageList(AppQuery query);

    Long save(AppSave save);

    void update(AppSave update);

    void enable(Long id);

    void disable(Long id);

    void resetCredential(Long id);

    void delete(Long id);
}
